Vsan Vc Cluster Config System Vsan Get Cluster RAID Info

Vsan Vc Cluster Config System Vsan Get Cluster RAID Info
Get Actual RAID used in vSAN ESA cluster.

Get Actual RAID used in vSAN ESA cluster.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanVcClusterConfigSystem/{moId}/VsanGetClusterRAIDInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanVcClusterConfigSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanGetClusterRAIDInfoRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

The target cluster.

Authentication
This operation uses the following authentication methods.
Responses
200

Information of RAID type actually used in the cluster. Or, None if the cluster does not support Auto Policy or failed to get RAID information.

{
    "_typeName": "string",
    "hostFailuresToTolerate": 0,
    "subFailuresToTolerate": 0
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanVcClusterConfigSystem/{moId}/VsanGetClusterRAIDInfo